# Struct crc::crc64::Digest [−] [src]

    pub struct Digest {
        // some fields omitted
    }

## Methods

### `impl Digest`

#### `fn new(poly: u64) -> Digest`

#### `fn new_with_initial(poly: u64, initial: u64) -> Digest`

## Trait Implementations

### `impl Hasher64 for Digest`

#### `fn reset(&mut self)`

#### `fn write(&mut self, bytes: &[u8])`

#### `fn sum64(&self) -> u64`

# Help

## Keyboard Shortcuts

?
  Show this help dialog
S
  Focus the search field
⇤
  Move up in search results
⇥
  Move down in search results
⏎
  Go to active search result

## Search Tricks

Prefix searches with a type followed by a colon (e.g. `fn:`) to restrict the search to a given type.

Accepted types are: `fn`, `mod`, `struct`, `enum`, `trait`, `type`, `macro`, and `const`.

Search functions by type signature (e.g. `vec -> usize` or `* -> vec`)